Skip to content

names

POST
/metrics/v2/names
curl --request POST \
--url https://api.siteqwality.com/metrics/v2/names \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "range": { "from": "example", "to": "example" }, "prefix": "example", "service": "example", "env": "example", "limit": 1, "cursor": "example" }'
Media type application/json
object
range
required

A window of T2 tokens (now, now-2h) or instants (ISO 8601, epoch milliseconds), resolved when the query is compiled, so a stored view stays rolling.

object
from
required
string
to
required
string
prefix
string
service
string | null
env
string | null
limit
integer format: int32
cursor
string | null
Example generated
{
"range": {
"from": "example",
"to": "example"
},
"prefix": "example",
"service": "example",
"env": "example",
"limit": 1,
"cursor": "example"
}

OK

Media type application/json
object
data
required
Array<object>
object
name
required
string
types
required
Array<string>
units
required
Array<string>
next_cursor
string | null
meta
required
object
from
required
string
to
required
string
clamped_from
string | null
partial
required
boolean
slow_terms
required
Array<string>
Example generated
{
"data": [
{
"name": "example",
"types": [
"example"
],
"units": [
"example"
]
}
],
"next_cursor": "example",
"meta": {
"from": "example",
"to": "example",
"clamped_from": "example",
"partial": true,
"slow_terms": [
"example"
]
}
}

Invalid query

Signal restricted

Read quota exhausted

Telemetry unavailable